Anonymous | Login
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2012-11-16 06:272012-12-11 17:54
ReportersureshbabuView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf1b0fc389b29
ProjectionnoneETAnoneTarget Version3.0MP18
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product Version3.0MP17SCM revision 
Review Assigned Todmiguelez
Web browserGoogle Chrome
Regression levelQA functional test
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo

0022316: Not able to select the product by pressing keys from keyboard

DescriptionNot able to select the product by pressing keys from keyboard in the product field

DME Comments:
First time I do it I can select a product. But then if I change my mind, clean the filter and would like to select another product then selector is empty.

Grid / Form does not matter, issue is the same.

Purchase and Sales invoice - the same.
In the Orders we have different selector and it works.
Steps To ReproduceLogin as Group admin (in my case i have selected QA Admin role)
Then navigate to Sales invoice window and create a new document
In the Header tab select any Business partner.(in my case i have selected Customer A)
Then navigate to Lines tab and click Ctrl + D to insert new row in form view
Then in the product field, try to type (Shift + F) to select the product "FInished goods A"(FGA)

1)Entered key (Shift+ F) will not appear in the screen

2) Also click the drop down key, one can find "No items to show" text will be displayed

3) Also click click the product selector (by clicking Ctrl + Enter key), in the product selector also "No items to show" text will be displayed. Then click cancel button to close the product selector and from lines tab, click Esc key, the line record will be displayed in grid view.
Then edit the record in grid/form view, now one can find the products listed in the product drop down box.

DME Comments:
As for me <Shift + letter> to start with capitals works fine. I can see these letters shown in the product selector.

But what does not work for me is changing the filter. For example in the product field I type "finished goods" - it is filtered. Then I clean this filter completely and try to type the same or sth else but in this case selector does not work any longer: no data in the drop-down and nothing in the pop-up selector.

I checked in MP14.2 and it works.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00208113.0MP12 closedmirurita Product selector in window sales order is broken 

-  Notes
dmitry_mezentsev (developer)
2012-12-07 11:18

>1)Entered key (Shift+ F) will not appear in the screen
Could you explain where did you find this shortcut Shift+F please? I was browsing documentation and did not see it.
Or it is just a shortcut that brakes selector?
sureshbabu (reporter)
2012-12-07 11:31


When i tried to enter the product key FGA to select the product Final good A in the product field, i found that the "Alt + chars" key combination brakes the selector. After that i am not able to select the product from drop down as well as using the product selector popup.
dmitry_mezentsev (developer)
2012-12-07 13:09

>"Alt + chars"
You mean "Shift + chars", right? You used Shift for capitals, correct?
sureshbabu (reporter)
2012-12-07 14:02

Yes, its "Shift+ Chars" to enter upper case characters.
hgbot (developer)
2012-12-10 17:19

Repository: erp/devel/pi
Changeset: f1b0fc389b29c7e2d3b9c0c819eed69088560369
Author: Augusto Mauch <augusto.mauch <at>>
Date: Mon Dec 10 17:18:50 2012 +0100
URL: [^]

Fixes issue 22316: Product selector works fine after deleting its contents

The product selector of the Lines tab of the Sales Invoice window was being broken after deleting the contents of its text input. When the last character was
deleted, the SL_Invoice_Product was called with a null product, which resulted in the inpcCurrencyId to being set to ''. This property is used in the filter l
ogic of the product, and after it was set to '' the selector did not return any product.

This has been fixed in the same way that the issue 20811 was fixed, by only returning in the callout the inpcCurrencyId property if it is not null.

M src/org/openbravo/erpCommon/ad_callouts/
dmiguelez (developer)
2012-12-10 17:46

Code Review + Testing OK
hudsonbot (developer)
2012-12-11 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-11-16 06:27 sureshbabu New Issue
2012-11-16 06:27 sureshbabu Assigned To => dmiguelez
2012-11-16 06:27 sureshbabu Web browser => Google Chrome
2012-11-16 06:27 sureshbabu Modules => Core
2012-12-06 17:16 sureshbabu Web browser Google Chrome => Google Chrome
2012-12-06 17:16 sureshbabu Regression level => QA functional test
2012-12-06 17:16 sureshbabu Triggers an Emergency Pack => No
2012-12-07 10:27 plujan Web browser Google Chrome => Google Chrome
2012-12-07 10:27 plujan Severity critical => major
2012-12-07 11:18 dmitry_mezentsev Note Added: 0054767
2012-12-07 11:18 dmitry_mezentsev Status new => feedback
2012-12-07 11:26 sureshbabu Assigned To dmiguelez => dmitry_mezentsev
2012-12-07 11:30 sureshbabu Note Added: 0054768
2012-12-07 11:30 sureshbabu Note Deleted: 0054768
2012-12-07 11:31 sureshbabu Note Added: 0054769
2012-12-07 11:31 sureshbabu Status feedback => new
2012-12-07 13:09 dmitry_mezentsev Note Added: 0054775
2012-12-07 14:02 sureshbabu Note Added: 0054776
2012-12-07 15:10 dmitry_mezentsev Assigned To dmitry_mezentsev => AugustoMauch
2012-12-07 15:15 dmitry_mezentsev Web browser Google Chrome => Google Chrome
2012-12-07 15:15 dmitry_mezentsev Steps to Reproduce Updated View Revisions
2012-12-07 15:16 dmitry_mezentsev Web browser Google Chrome => Google Chrome
2012-12-07 15:16 dmitry_mezentsev Target Version => 3.0MP18
2012-12-07 15:23 dmitry_mezentsev Web browser Google Chrome => Google Chrome
2012-12-07 15:23 dmitry_mezentsev Description Updated View Revisions
2012-12-07 15:38 dmitry_mezentsev Web browser Google Chrome => Google Chrome
2012-12-07 15:38 dmitry_mezentsev Description Updated View Revisions
2012-12-10 17:12 AugustoMauch Review Assigned To => dmiguelez
2012-12-10 17:12 AugustoMauch Web browser Google Chrome => Google Chrome
2012-12-10 17:18 AugustoMauch Relationship added related to 0020811
2012-12-10 17:19 hgbot Checkin
2012-12-10 17:19 hgbot Note Added: 0054809
2012-12-10 17:19 hgbot Status new => resolved
2012-12-10 17:19 hgbot Resolution open => fixed
2012-12-10 17:19 hgbot Fixed in SCM revision => [^]
2012-12-10 17:46 dmiguelez Note Added: 0054813
2012-12-10 17:46 dmiguelez Status resolved => closed
2012-12-11 17:54 hudsonbot Checkin
2012-12-11 17:54 hudsonbot Note Added: 0054864

Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker